- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TDataGridPagerStyle

    TComponent
       |
       --TStyle
          |
          --TPanelStyle
             |
             --TDataGridPagerStyle

TDataGridPagerStyle class.

TDataGridPagerStyle specifies the styles available for a datagrid pager.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
void | copyFrom ( TStyle $style) Copies the fields in a new style to this style.
TDataGridPagerButtonType | getButtonType ()
TDataGridPagerMode | getMode ()
string | getNextPageText ()
integer | getPageButtonCount ()
TDataGridPagerPosition | getPosition ()
string | getPrevPageText ()
boolean | getVisible ()
void | mergeWith ( TStyle $style) Merges the style with a new one.
void | reset () Resets the style to the original empty state.
void | setButtonType ( TDataGridPagerButtonType $value)
void | setMode ( TDataGridPagerMode $value)
void | setNextPageText ( string $value)
void | setPageButtonCount ( integer $value)
void | setPosition ( TDataGridPagerPosition $value)
void | setPrevPageText ( string $value)
void | setVisible ( boolean $value)

Methods Inherited From TPanelStyle

TPanelStyle::addAttributesToRender(), TPanelStyle::copyFrom(), TPanelStyle::getBackImageUrl(), TPanelStyle::getDirection(), TPanelStyle::getHorizontalAlign(), TPanelStyle::getScrollBars(), TPanelStyle::getWrap(), TPanelStyle::mergeWith(), TPanelStyle::reset(), TPanelStyle::setBackImageUrl(), TPanelStyle::setDirection(), TPanelStyle::setHorizontalAlign(), TPanelStyle::setScrollBars(), TPanelStyle::setWrap()

Methods Inherited From TStyle

TStyle::addAttributesToRender(), TStyle::clearStyleField(), TStyle::copyFrom(), TStyle::getBackColor(), TStyle::getBorderColor(), TStyle::getBorderStyle(), TStyle::getBorderWidth(), TStyle::getCssClass(), TStyle::getCustomStyle(), TStyle::getDisplayStyle(), TStyle::getFont(), TStyle::getForeColor(), TStyle::getHeight(), TStyle::getStyleField(), TStyle::getStyleFields(), TStyle::getWidth(), TStyle::hasCssClass(), TStyle::hasFont(), TStyle::hasStyleField(), TStyle::mergeWith(), TStyle::reset(), TStyle::setBackColor(), TStyle::setBorderColor(), TStyle::setBorderStyle(), TStyle::setBorderWidth(), TStyle::setCssClass(), TStyle::setCustomStyle(), TStyle::setDisplayStyle(), TStyle::setForeColor(), TStyle::setHeight(), TStyle::setStyleField(), TStyle::setWidth(), TStyle::__clone()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## copyFrom

public void copyFrom | (TStyle $style )

Copies the fields in a new style to this style.

If a style field is set in the new style, the corresponding field in this style will be overwritten.

Input
TStyle | $style | the new style
Output
Exception

## getButtonType

public TDataGridPagerButtonType getButtonType | ()

Output
TDataGridPagerButtonType | the type of command button. Defaults to TDataGridPagerButtonType::LinkButton.
Exception

## getMode

public TDataGridPagerMode getMode | ()

Output
TDataGridPagerMode | pager mode. Defaults to TDataGridPagerMode::NextPrev.
Exception

## getNextPageText

public string getNextPageText | ()

Output
string | text for the next page button. Defaults to '>'.
Exception

## getPageButtonCount

public integer getPageButtonCount | ()

Output
integer | maximum number of pager buttons to be displayed. Defaults to 10.
Exception

## getPosition

public TDataGridPagerPosition getPosition | ()

Output
TDataGridPagerPosition | where the pager is to be displayed. Defaults to TDataGridPagerPosition::Bottom.
Exception

## getPrevPageText

public string getPrevPageText | ()

Output
string | text for the previous page button. Defaults to '<'.
Exception

## getVisible

public boolean getVisible | ()

Output
boolean | whether the pager is visible. Defaults to true.
Exception

## mergeWith

public void mergeWith | (TStyle $style )

Merges the style with a new one.

If a style field is not set in this style, it will be overwritten by the new one.

Input
TStyle | $style | the new style
Output
Exception

## reset

public void reset | ()

Resets the style to the original empty state.

Output
Exception

## setButtonType

public void setButtonType | (TDataGridPagerButtonType $value )

Input
TDataGridPagerButtonType | $value | the type of command button
Output
Exception

## setMode

public void setMode | (TDataGridPagerMode $value )

Input
TDataGridPagerMode | $value | pager mode.
Output
Exception

## setNextPageText

public void setNextPageText | (string $value )

Input
string | $value | text for the next page button.
Output
Exception

## setPageButtonCount

public void setPageButtonCount | (integer $value )

Input
integer | $value | maximum number of pager buttons to be displayed
Output
Exception
throws | TInvalidDataValueException if the value is less than 1.

## setPosition

public void setPosition | (TDataGridPagerPosition $value )

Input
TDataGridPagerPosition | $value | where the pager is to be displayed.
Output
Exception

## setPrevPageText

public void setPrevPageText | (string $value )

Input
string | $value | text for the next page button.
Output
Exception

## setVisible

public void setVisible | (boolean $value )

Input
boolean | $value | whether the pager is visible.
Output
Exception